mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true)

Used with .

Indicates how a type library should be produced.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibExporterFlags

  Allows the caller to explicitly resolve type library references without consulting the registry.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibExporterFlags

  When compiling on a 64-bit computer, specifies that the Type Library Exporter (Tlbexp.exe) generates a 32-bit type library. All data types are transformed appropriately.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibExporterFlags

  When compiling on a 32-bit computer, specifies that the Type Library Exporter (Tlbexp.exe) generates a 64-bit type library. All data types are transformed appropriately.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibExporterFlags

  Specifies no flags. This is the default.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibExporterFlags

  When exporting type libraries, the .NET Framework resolves type name conflicts by decorating the type with the name of the namespace; for example, System.Windows.Forms.HorizontalAlignment is exported as System_Windows_Forms_HorizontalAlignment. When there is a conflict with the name of a type that is not visible from COM, the .NET Framework exports the undecorated name. Set the flag or use the /oldnames option in the Type Library Exporter (Tlbexp.exe) to force the .NET Framework to export the decorated name. Note that exporting the decorated name was the default behavior in versions prior to the .NET Framework version 2.0.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibExporterFlags To be added

  Exports references to types that were imported from COM as IUnknown if the type does not have a registered type library. Set this flag when you want the type library exporter to look for dependent types in the registry rather than in the same directory as the input assembly.